{% extends "base.html" %}
{% load thumbnail config markup generic_markup media util %}

{% block extrahead %}
{{block.super}}
<link rel="stylesheet" href="{{MEDIA_URL}}css/fancybox/fancybox.css" type="text/css" media="screen" charset="utf-8">
<script src="{{MEDIA_URL}}js/jquery/jquery.fancybox-1.3.4.js" type="text/javascript" charset="utf-8"></script>

<script type="text/javascript">
$(function() {
    {% if featured.video.has_vimeo_video %}
    $('#featured > a').fancybox({
        transitionIn: 'elastic',
        centerOnScroll: true,
        onComplete: function(el) {
            var vimeo = $(el).data('vimeo');
            var video_id = $(el).attr('href').replace('_display', '');
            var video_link = $(video_id);
            if (vimeo) {
                var href = 'https://player.vimeo.com/video/'+ vimeo.video_id + '?title=0&byline=0&portrait=0';
                var iframe = $('<iframe class="vimeo" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>')
                    .attr('src', href)
                    .attr('width', 855)
                    .attr('height', 480);
                video_link.parent().prepend(
                    iframe
                ).end().hide();
                $('#fancybox-content').addClass('hd');
            }
        },
        onClosed: function(el) {
            // remove vimeo iframe
            var vimeo = $(el).data('vimeo');
            if (vimeo) {
                var video_id = $(el).attr('href').replace('_display', '');
                var video_link = $(video_id);
                $('iframe.vimeo').remove();
                video_link.show();
            }
            $('#fancybox-content').removeClass('hd');
        }
    });
    {% endif %}
});
</script>
{% endblock %}

{% block subtitle %}<h2 class="subtitle">{% setting SITE SUBTITLE %}</h2>{% endblock %}

{% block content %}
<div id="homepage" class="clearfix{% if featured.video.has_vimeo_video %} hd{% endif %}">
    {% if featured %}
    <div id="featured" class="module">
        <h1>Featured work</h1>
        {# Image feature #}
        {% ifequal featured.type "image" %}
        <a href="{{featured.image.get_absolute_url}}" target="_blank"><img src="{% thumbnail featured.image.filename 360x292 detail,upscale %}" alt="" /></a>
        <p>{{featured.caption|markdown}}</p>
        {% endifequal %}

        {# Video Feature #}
        {% ifequal featured.type "video" %}
        {% with featured.video as video %}
        {# HD Vimeo video #}
        {% if featured.video.has_vimeo_video %}
        <a href="#video_display_{{video.pk}}" data-vimeo='{{video.data|as_json}}'>
            <img src="{% thumbnail video.image 450x1000 upscale,detail %}" alt="" />
        </a>
        <div style="display:none"><div id="video_display_{{video.pk}}">
            <a id="video_{{video.pk}}"
               class="video-player {{video.quality}}"
               style="display:block; margin-bottom: 10px"></a>
            <div class="video-caption">
                {{video.caption|apply_markup}}
            </div>
        </div></div>

        {# Legacy SD video #}
        {% else %}
        {% video_embed video %}
        {% endif %}
        {% endwith %}
        <p>{{featured.caption|markdown}}</p>
        {% endifequal %}
    </div>
    {% endif %}
    <div id="news" class="module last">
        <h1><a href="{% url blog-index %}?cat=news">Recent news</a></h1>
        {% for entry in news %}
        <p class="entry">
            <a href="{{entry.get_absolute_url}}"><strong>{{entry.title}}</strong><br/> {{entry.excerpt|markdown|striptags}}...
            <br/> <em class="small highlight">&gt; read more</em></a>
        </p>
        {% endfor %}
    </div>
</div>
{% endblock %}
